<app-header></app-header>
<app-side-bar class="side-bar"></app-side-bar>
<div class="card" *ngIf="dataLoaded">
  <h2>update user</h2>
  <form [formGroup]="editUserForm" (submit)="updateUser()">
    <p>
      <mat-form-field appearance="outline">
        <mat-label>User Name</mat-label>
        <input matInput placeholder="name" formControlName="username" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>Email</mat-label>
        <input matInput placeholder="email" formControlName="email" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>phoneNumber</mat-label>
        <input
          matInput
          placeholder="phoneNumber"
          formControlName="phoneNumber"
        />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>bloodGroup</mat-label>
        <input matInput placeholder="bloodGroup" formControlName="bloodGroup" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field appearance="outline">
        <mat-label>password</mat-label>
        <input matInput placeholder="password" formControlName="password" />
        <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
      </mat-form-field>
    </p>
    <p>
      <button mat-raised-button color="primary">update User</button>
    </p>
  </form>
</div>
